mlmmj-sub(1)

NAME
mlmmj-sub - subscribe address to a mailinglist run by mlmmj

SYNOPSIS
mlmmj-sub -L /path/to/list [-a john@doe.org | -m str] [-cCdnfhqrRsUV]

DESCRIPTION

-a email
    Email address to subscribe

-c  Send welcome mail (unless requesting confirmation)

-C  Request mail confirmation (unless switching versions)

-d  Subscribe to digest version of the list

-f  Force subscription (do not moderate)

-h  Print help

-L path
    Full path to list directory

-m str
    Moderation string

-n  Subscribe to nomail version of the list

-q  Be quiet (don't notify owner about the subscription)

-r  Behave as if request arrived via email (internal use)

-R  Behave as if confirmation arrived via email (internal use)

-s  Don't send a mail to the subscriber if already subscribed

-U  Don't switch to the user id of the listdir owner

-V  Print version

This utility is used to subscribe people to the specified mailinglist. It will write the email address in a file with the name of the beginning letter of the email address getting subscribed in the <listdir>/subscribers.d/ directory.

The digest version of the list is a list version where people receive postings to the list periodically (e.g. once a day) or when a large number of posts have accumulated. Digest subscribers are in the <listdir>/digesters.d/ directory.

The nomail version of the list is a list version where people are subscribed like usual, but they won't receive any postings to the list. This is useful for people who read the mailinglist through a news gateway, but want to be able to post to the list. Nomail subscribers are in the <listdir>/nomailsubs.d/ directory.

Unless the -U switch is used it will switch its user id to the user id owning the list directory. This is done to make sure that new files created are having correct permissions.

If the given address is already subscribed to the list, but to a different version, the subscription is switched to that version, and confirmation and moderation are bypassed. If the address is already subscribed to the version requested, a mail is sent to the subscriber, unless the -s switch is used.

Subscription may be moderated (if <listdir>/control/submod exists) unless the -f switch is given. When a subscription is permitted by a gatekeeper, welcome messages are sent to the subscriber as usual, regardless of options given now.

To ensure subscription is silent from the point of view of the subscriber, use -f, but neither -c nor -C. To inhibit notification of the owner, use -q. Use of -s is recommended to ensure you don't spam already-subscribed addresses by accident.

SEE ALSO
mlmmj-unsub(1), setuid(2)

AUTHORS
This manual page was written by the following persons: Søren Boll Overgaard <boll@debian.org> (based on html2man output) Mads Martin Jørgensen <mmj@mmj.dk>